<?php
/**
 * @version     1.2.5
 * @package     Jshopping.Plugin
 * @subpackage  Jshopping.bifit
 *
 * @copyright   Copyright (C) 2023 BIFIT. All rights reserved.
 * @license     GNU General Public License version 2 or later
 */

defined("_JEXEC") or die();

class JFormFieldPayments extends JFormField
{
	protected $type = "payments";

	public function getInput()
	{
		require_once JPATH_SITE . "/components/com_jshopping/lib/factory.php";
		require_once JPATH_SITE . "/components/com_jshopping/lib/functions.php";

		$pm = JTable::getInstance("paymentmethod", "jshop");
		$paymethods = $pm->getAllPaymentMethods(0, 0);
		$name = $this->name . "[]";
		$value = empty($this->value) ? "" : $this->value;

		return JHTML::_(
			"select.genericlist",
			$paymethods,
			$name,
			'class="inputbox" id="paymethods" multiple="multiple"',
			"payment_id",
			"name",
			$value
		);
	}
}
